SystemOrganization addCategory: #ConfigurationOfPierAddOns2!

Object subclass: #ConfigurationOfPierAddOns2
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfPierAddOns2'!

!ConfigurationOfPierAddOns2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/22/2010 15:20'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfPierAddOns2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/22/2010 15:20'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfPierAddOns2 class methodsFor: 'metacello tool support' stamp: 'DaleHenrichs 1/22/2010 15:20'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPierAddOns2 class methodsFor: 'loading' stamp: 'DaleHenrichs 1/22/2010 15:20'!
load
	"self load"
	
	self project latestVersion load! !

!ConfigurationOfPierAddOns2 class methodsFor: 'accessing' stamp: 'DaleHenrichs 1/22/2010 15:20'!
project

	^self new project! !

!ConfigurationOfPierAddOns2 class methodsFor: 'release' stamp: 'DaleHenrichs 11/11/2010 12:55'!
releaseToGemSource
	"self releaseToGemSource"

	(Smalltalk at: #Gofer) new
		gemsource: 'MetacelloRepository';
		package: self name asString;
		push! !

!ConfigurationOfPierAddOns2 class methodsFor: 'release' stamp: 'dkh 11/11/2010 12:51'!
releaseToSqueakSource
	"self releaseToSqueakSource"

	(Smalltalk at: #Gofer) new
		squeaksource: 'MetacelloRepository';
		package: self name asString;
		push! !

!ConfigurationOfPierAddOns2 methodsFor: 'baselines' stamp: 'DaleHenrichs 3/1/2010 12:01'!
baseline200: spec 
	<version: '2.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier2';
			repository: 'http://source.lukas-renggli.ch/pier2addons'.
		spec
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier2';
					versionString: '2.0-baseline';
					loads: #('Core');
					file: 'ConfigurationOfPier2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Book' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Setup' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Design' with: [ 
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Google' with: [ 
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-LightBox' with: [ 
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Links' with: [ 
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Randomizer' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Scriptaculous' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-TagCloud' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Titles' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Twitter' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			yourself.].
! !

!ConfigurationOfPierAddOns2 methodsFor: 'baselines' stamp: 'DaleHenrichs 3/1/2010 12:00'!
baseline202: spec 
	<version: '2.0.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier2addons'.
		spec
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier2';
					versionString: '2.0-baseline';
					loads: #('Core');
					file: 'ConfigurationOfPier2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.0-baseline';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Book' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Setup' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Design' with: [ 
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Google' with: [ 
				spec
					requires: #('Pier Core' 'XML Parser');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-LightBox' with: [ 
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Links' with: [ 
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Randomizer' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Scriptaculous' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-TagCloud' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Titles' with: [  
				spec
					requires: #('Pier Core');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			package: 'Pier-Twitter' with: [  
				spec
					requires: #('Pier Core' 'XML Parser');
					repository: 'http://source.lukas-renggli.ch/pieraddons' ];
			yourself.].
! !

!ConfigurationOfPierAddOns2 methodsFor: 'baselines' stamp: 'DaleHenrichs 3/1/2010 14:46'!
baseline203: spec 
	<version: '2.0.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'match repository contents (3/1/2010 12:18)'.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier2addons'.
		spec
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier2';
					versionString: '2.0.3-baseline';
					loads: #('Core');
					file: 'ConfigurationOfPier2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.0-baseline';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec 
					repository: 'http://source.lukas-renggli.ch/pier2';
					requires: #('Pier Core') ];
			package: 'Pier-Book' with: [ 
				spec 
					repository: 'http://source.lukas-renggli.ch/pier2';
					requires: #('Pier Core')];
			package: 'AAS.lu-Pier-WidgetAdaptors' with: [ 
				spec requires: #('Pier-Setup' 'Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Google' with: [ 
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Pier-LinkChecker' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Setup' with: [ 
				spec requires: #('Pier Core' 'Pier-Blog' 'Pier-Book' 'Pier-Documents' 'Pier-Google' )];
			package: 'Pier-TagCloud' with: [  
				spec requires: #('Pier Core') ];
			package: 'Pier-Twitter' with: [  
				spec requires: #('Pier Core' 'XML Parser') ];
			yourself.].
! !

!ConfigurationOfPierAddOns2 methodsFor: 'baselines' stamp: 'DaleHenrichs 6/26/2010 09:54'!
baseline206: spec 
	<version: '2.0.6-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'match repository contents (6/16/2010 17:04)'.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier2addons'.
		spec
			project: 'JQuery Widgetbox' with: [
				spec
					className: 'ConfigurationOfJQueryWidgetBox';
					versionString: '1.3-baseline';
					loads: #('JQWidgetBox-FormExample-Core');
					file: 'ConfigurationOfJQueryWidgetBox';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier2';
					versionString: '2.0.6-baseline';
					loads: #('Core');
					file: 'ConfigurationOfPier2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'RSS' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.0-alpha5.15-baseline';
					loads: #( 'RSS-Core' );
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.0-baseline';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec 
					repository: 'http://source.lukas-renggli.ch/pier2';
					requires: #( 'Pier Core' 'RSS' ) ];
			package: 'Pier-Book' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Design' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Google' with: [ 
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Pier-JQuery' with: [ 
				spec requires: #('Pier Core' 'JQuery Widgetbox')];
			package: 'Pier-LinkChecker' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Setup' with: [ 
				spec requires: 
					#('Pier Core' 'Pier-Blog' 'Pier-Book' 'Pier-Documents' 'Pier-Google' 
						'Pier-EditorEnh' 'Pier-LinkChecker' )];
			package: 'Pier-TagCloud' with: [  
				spec requires: #('Pier Core') ];
			package: 'Pier-Twitter' with: [  
				spec requires: #('Pier Core' 'XML Parser') ];
			yourself.
		spec
			group: 'default' with: #('Pier-Setup');
			yourself.].
	spec for: #squeakCommon do: [
		spec
			project: 'OSProcess' with: [
				spec
					className: 'ConfigurationOfOSProcess';
					versionString: '4.3-baseline';
					file: 'ConfigurationOfOSProcess';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'AAS.lu-Pier-WidgetAdaptors' with: [ 
				spec requires: #('Pier-Setup' 'Pier Core')];
			package: 'Pier-Book' with: [ 
				spec repository: 'http://source.lukas-renggli.ch/pier2'.];
			package: 'Pier-Twitter' with: [  
				spec requires: #('OSProcess'). ];
			yourself. ].
	spec for: #gemstone do: [
		spec
			package: 'Pier-Book' with: [ 
				spec 
					file: 'Pier-Book.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-LinkChecker' with: [ 
				spec 
					file: 'Pier-LinkChecker.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-Setup' with: [ 
				spec 
					file: 'Pier-Setup.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			yourself. ].! !

!ConfigurationOfPierAddOns2 methodsFor: 'baselines' stamp: 'dkh 07/25/2011 18:30'!
baseline2071: spec 
	<version: '2.0.7.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'add more packages'.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier2addons'.
		spec
			project: 'JQuery Widgetbox' with: [
				spec
					className: 'ConfigurationOfJQueryWidgetBox';
					file: 'ConfigurationOfJQueryWidgetBox.cleanup';
					versionString: #'stable';
					loads: #('JQWidgetBox-FormExample-Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier2';
					versionString: #bleedingEdge;
					loads: #('Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'RSS' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: #'stable';
					loads: #( 'RSS-Core' );
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.0.1';
					loads: #('Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec 
					repository: 'http://source.lukas-renggli.ch/pier2';
					requires: #( 'Pier Core' 'RSS' ) ];
			package: 'Pier-Book' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Design' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Google' with: [ 
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Pier-JQuery' with: [ 
				spec requires: #('Pier Core' 'JQuery Widgetbox')];
			package: 'Pier-LinkChecker' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Setup' with: [ 
				spec requires: 
					#('Pier Core' 'Pier-Blog' 'Pier-Book' 'Pier-Documents' 'Pier-Google' 
						'Pier-EditorEnh' 'Pier-LinkChecker' 'Pier-JQuery')];
			package: 'Pier-TagCloud' with: [  
				spec requires: #('Pier Core') ];
			package: 'Pier-Twitter' with: [  
				spec requires: #('Pier Core' 'XML Parser') ];
			yourself.
		spec
			group: 'default' with: #('Pier-Setup');
			yourself.].
	spec for: #squeakCommon do: [
		spec
			project: 'OSProcess' with: [
				spec
					className: 'ConfigurationOfOSProcess';
					versionString: '4.3-baseline';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'AAS.lu-Pier-WidgetAdaptors' with: [ 
				spec requires: #('Pier-Setup' 'Pier Core')];
			package: 'Pier-Book' with: [ 
				spec repository: 'http://source.lukas-renggli.ch/pier2'.];
			package: 'Pier-Twitter' with: [  
				spec requires: #('OSProcess'). ];
			yourself. ].
	spec for: #gemstone do: [
		spec
			package: 'Pier-Book' with: [ 
				spec 
					file: 'Pier-Book.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-LinkChecker' with: [ 
				spec 
					file: 'Pier-LinkChecker.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-Setup' with: [ 
				spec 
					file: 'Pier-Setup.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			yourself. ].! !

!ConfigurationOfPierAddOns2 methodsFor: 'baselines' stamp: 'dkh 11/10/2010 15:40'!
baseline207: spec 
	<version: '2.0.7-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'add more packages'.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier2addons'.
		spec
			project: 'JQuery Widgetbox' with: [
				spec
					className: 'ConfigurationOfJQueryWidgetBox';
					versionString: '1.5';
					loads: #('JQWidgetBox-FormExample-Core');
					file: 'ConfigurationOfJQueryWidgetBox';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier2';
					versionString: '2.0.7';
					loads: #('Core');
					file: 'ConfigurationOfPier2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'RSS' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.1';
					loads: #( 'RSS-Core' );
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.0.1';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec 
					repository: 'http://source.lukas-renggli.ch/pier2';
					requires: #( 'Pier Core' 'RSS' ) ];
			package: 'Pier-Book' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Design' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Google' with: [ 
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Pier-JQuery' with: [ 
				spec requires: #('Pier Core' 'JQuery Widgetbox')];
			package: 'Pier-LinkChecker' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Setup' with: [ 
				spec requires: 
					#('Pier Core' 'Pier-Blog' 'Pier-Book' 'Pier-Documents' 'Pier-Google' 
						'Pier-EditorEnh' 'Pier-LinkChecker' )];
			package: 'Pier-TagCloud' with: [  
				spec requires: #('Pier Core') ];
			package: 'Pier-Twitter' with: [  
				spec requires: #('Pier Core' 'XML Parser') ];
			yourself.
		spec
			group: 'default' with: #('Pier-Setup');
			yourself.].
	spec for: #squeakCommon do: [
		spec
			project: 'OSProcess' with: [
				spec
					className: 'ConfigurationOfOSProcess';
					versionString: '4.3-baseline';
					file: 'ConfigurationOfOSProcess';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'AAS.lu-Pier-WidgetAdaptors' with: [ 
				spec requires: #('Pier-Setup' 'Pier Core')];
			package: 'Pier-Book' with: [ 
				spec repository: 'http://source.lukas-renggli.ch/pier2'.];
			package: 'Pier-Twitter' with: [  
				spec requires: #('OSProcess'). ];
			yourself. ].
	spec for: #gemstone do: [
		spec
			package: 'Pier-Book' with: [ 
				spec 
					file: 'Pier-Book.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-LinkChecker' with: [ 
				spec 
					file: 'Pier-LinkChecker.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-Setup' with: [ 
				spec 
					file: 'Pier-Setup.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			yourself. ].! !

!ConfigurationOfPierAddOns2 methodsFor: 'baselines' stamp: 'DaleHenrichs 12/10/2010 14:57'!
baseline208: spec 
	<version: '2.0.8-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'add more packages'.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier2addons'.
		spec
			project: 'JQuery Widgetbox' with: [
				spec
					className: 'ConfigurationOfJQueryWidgetBox';
					versionString: '1.5';
					loads: #('JQWidgetBox-FormExample-Core');
					file: 'ConfigurationOfJQueryWidgetBox';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier2';
					versionString: '2.0.7';
					loads: #('Core');
					file: 'ConfigurationOfPier2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'RSS' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.1';
					loads: #( 'RSS-Core' );
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.0.1';
					loads: #('Core');
					file: 'ConfigurationOfXMLSupport';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec 
					repository: 'http://source.lukas-renggli.ch/pier2';
					requires: #( 'Pier Core' 'RSS' ) ];
			package: 'Pier-Book' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Design' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Google' with: [ 
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Pier-JQuery' with: [ 
				spec requires: #('Pier Core' 'JQuery Widgetbox')];
			package: 'Pier-LinkChecker' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Setup' with: [ 
				spec requires: 
					#('Pier Core' 'Pier-Blog' 'Pier-Book' 'Pier-Documents' 'Pier-Google' 
						'Pier-EditorEnh' 'Pier-LinkChecker' 'Pier-JQuery')];
			package: 'Pier-TagCloud' with: [  
				spec requires: #('Pier Core') ];
			package: 'Pier-Twitter' with: [  
				spec requires: #('Pier Core' 'XML Parser') ];
			yourself.
		spec
			group: 'default' with: #('Pier-Setup');
			yourself.].
	spec for: #squeakCommon do: [
		spec
			project: 'OSProcess' with: [
				spec
					className: 'ConfigurationOfOSProcess';
					versionString: '4.3-baseline';
					file: 'ConfigurationOfOSProcess';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'AAS.lu-Pier-WidgetAdaptors' with: [ 
				spec requires: #('Pier-Setup' 'Pier Core')];
			package: 'Pier-Book' with: [ 
				spec repository: 'http://source.lukas-renggli.ch/pier2'.];
			package: 'Pier-Twitter' with: [  
				spec requires: #('OSProcess'). ];
			yourself. ].
	spec for: #gemstone do: [
		spec
			package: 'Pier-Book' with: [ 
				spec 
					file: 'Pier-Book.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-LinkChecker' with: [ 
				spec 
					file: 'Pier-LinkChecker.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-Setup' with: [ 
				spec 
					file: 'Pier-Setup.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			yourself. ].! !

!ConfigurationOfPierAddOns2 methodsFor: 'baselines' stamp: 'NickAger 8/24/2011 12:24'!
baseline209: spec 
	<version: '2.0.9-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'add more packages'.
		spec 
			repository: 'http://source.lukas-renggli.ch/pier2addons'.
		spec
			project: 'JQuery Widgetbox' with: [
				spec
					className: 'ConfigurationOfJQueryWidgetBox';
					versionString: '1.5';
					loads: #('JQWidgetBox-FormExample-Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Pier Core' with: [
				spec
					className: 'ConfigurationOfPier2';
					versionString: '2.0.7';
					loads: #('Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'RSS' with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: '3.0.5';
					loads: #( 'RSS-Core' );
					repository: 'http://www.squeaksource.com/MetacelloRepository'];
			project: 'XML Parser' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.0.1';
					loads: #('Core');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte' with: [
				spec
					className: 'ConfigurationOfMagritte2';
					versionString: '2.0.6.2';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'Magritte-Json' with: [
				spec
					className: 'ConfigurationOfMagritteAddOns2';
					versionString: '2.0.7';
					loads: #('Magritte-Json');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'NAFileUpload-Nginx-Component' with: [
				spec
					className: 'ConfigurationOfNAFileUpload';
					versionString: #'bleedingEdge';
					loads: #('NAFileUpload-Nginx-Component' );
					repository: 'http://www.squeaksource.com/fileupload' ];
			project: 'NAFileUpload-Component' copyFrom: 'NAFileUpload-Nginx-Component' with: [
				spec loads: #('NAFileUpload-Component')];
			yourself.
		spec
			package: 'Pier-Blog' with: [ 
				spec 
					repository: 'http://source.lukas-renggli.ch/pier2';
					requires: #( 'Pier Core' 'RSS' ) ];
			package: 'Pier-Book' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Design' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Documents' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-EditorEnh' with: [ 
				spec requires: #('Pier Core')];
			package: 'Pier-Google' with: [ 
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Pier-JQuery' with: [ 
				spec requires: #('Pier Core' 'JQuery Widgetbox')];
			package: 'Pier-LinkChecker' with: [ 
				spec requires: #('Pier Core') ];
			package: 'Pier-Setup' with: [ 
				spec requires: 
					#('Pier Core' 'Pier-Blog' 'Pier-Book' 'Pier-Documents' 'Pier-Google' 
						'Pier-EditorEnh' 'Pier-LinkChecker' 'Pier-JQuery')];
			package: 'Pier-TagCloud' with: [  
				spec requires: #('Pier Core') ];
			package: 'Pier-Twitter' with: [  
				spec requires: #('Pier Core' 'XML Parser') ];
			package: 'Javascript-Jasmine' with: [
				spec
					repository: 'http://www.squeaksource.com/Seaside30Addons'];
			package: 'Pier-Wysiwyg' with: [ spec requires: #('Pier-EditorEnh') ];
			package: 'Pier-Tests-Wysiwyg' with: [ spec requires: #('Pier-Wysiwyg' 'Javascript-Jasmine') ];
			package: 'Pier-FileUpload-Common-Wysiwyg' with: [ spec requires: #('Pier-Wysiwyg') ];
			package: 'Pier-FileUpload-Wysiwyg' with: [
				spec 
					requires: #('Pier-FileUpload-Common-Wysiwyg' 'NAFileUpload-Component' 'Magritte-Json' 'Magritte');
					postLoadDoIt: #initializeWysiwygEditorFileUpload ];
			package: 'Pier-FileUpload-Nginx-Wysiwyg' with: [ 
				spec 
					requires: #('Pier-FileUpload-Common-Wysiwyg' 'NAFileUpload-Nginx-Component' 'Magritte-Json' 'Magritte');
					postLoadDoIt: #initializeWysiwygEditorFileUpload ];
			yourself.
		spec
			group: 'default' with: #('Pier-Setup');
			yourself.].
	spec for: #squeakCommon do: [
		spec
			project: 'OSProcess' with: [
				spec
					className: 'ConfigurationOfOSProcess';
					versionString: '4.3-baseline';
					file: 'ConfigurationOfOSProcess';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			yourself.
		spec
			package: 'AAS.lu-Pier-WidgetAdaptors' with: [ 
				spec requires: #('Pier-Setup' 'Pier Core')];
			package: 'Pier-Book' with: [ 
				spec repository: 'http://source.lukas-renggli.ch/pier2'.];
			package: 'Pier-Twitter' with: [  
				spec requires: #('OSProcess'). ];
			yourself. ].
	spec for: #gemstone do: [
		spec
			package: 'Pier-Book' with: [ 
				spec 
					file: 'Pier-Book.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-LinkChecker' with: [ 
				spec 
					file: 'Pier-LinkChecker.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			package: 'Pier-Setup' with: [ 
				spec 
					file: 'Pier-Setup.gemstone';
					repository: 'http://seaside.gemstone.com/ss/Pier2'.];
			yourself. ].! !

!ConfigurationOfPierAddOns2 methodsFor: 'symbolic versions' stamp: 'DaleHenrichs 11/11/2010 12:57'!
development: spec 
	"no development versions at the moment"
	
	<symbolicVersion: #development>
	! !

!ConfigurationOfPierAddOns2 methodsFor: 'doits' stamp: 'NickAger 8/28/2011 22:35'!
initializeWysiwygEditorFileUpload
	(Smalltalk at: #PRFileUploadWysiwygEditorBase) initializeWysiwygEditorFileUpload
! !

!ConfigurationOfPierAddOns2 methodsFor: 'accessing' stamp: 'DaleHenrichs 1/22/2010 15:20'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfPierAddOns2 methodsFor: 'symbolic versions' stamp: 'DaleHenrichs 11/11/2010 12:57'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version: '2.0.7'. 
! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 1/27/2010 17:16'!
version200: spec
	<version: '2.0' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: 'initial config'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '1/26/2010 10:40'.
		spec project: 'Pier Core' with: '2.0'.
		spec
			package: 'Pier-Blog' with: 'Pier-Blog-NickAger.135';
			package: 'Pier-Book' with: 'Pier-Book-jf.94';
			package: 'Pier-Documents' with: 'Pier-Documents-NickAger.19';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-NickAger.53';
			package: 'Pier-Setup' with: 'Pier-Setup-NickAger.73';
			package: 'Pier-Design' with: 'Pier-Design-lr.8';
			package: 'Pier-Google' with: 'Pier-Google-lr.16';
			package: 'Pier-LightBox' with: 'Pier-LightBox-lr.9';
			package: 'Pier-Links' with: 'Pier-Links-dkh.8';
			package: 'Pier-Randomizer' with: 'Pier-Randomizer-lr.7';
			package: 'Pier-Scriptaculous' with: 'Pier-Scriptaculous-tg.3';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-lr.11';
			package: 'Pier-Titles' with: 'Pier-Titles-lr.2';
			package: 'Pier-Twitter' with: 'Pier-Twitter-lr.16'.]
! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 1/27/2010 17:16'!
version201: spec
	<version: '2.0.1' imports: #('2.0-baseline')>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: 'update Pier2 version'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '1/27/2010 17:16'.
		spec project: 'Pier Core' with: '2.0.1'.
		spec
			package: 'Pier-Blog' with: 'Pier-Blog-NickAger.135';
			package: 'Pier-Book' with: 'Pier-Book-jf.94';
			package: 'Pier-Documents' with: 'Pier-Documents-NickAger.19';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-NickAger.53';
			package: 'Pier-Setup' with: 'Pier-Setup-NickAger.73';
			package: 'Pier-Design' with: 'Pier-Design-lr.8';
			package: 'Pier-Google' with: 'Pier-Google-lr.16';
			package: 'Pier-LightBox' with: 'Pier-LightBox-lr.9';
			package: 'Pier-Links' with: 'Pier-Links-dkh.8';
			package: 'Pier-Randomizer' with: 'Pier-Randomizer-lr.7';
			package: 'Pier-Scriptaculous' with: 'Pier-Scriptaculous-tg.3';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-lr.11';
			package: 'Pier-Titles' with: 'Pier-Titles-lr.2';
			package: 'Pier-Twitter' with: 'Pier-Twitter-lr.16'.]
! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 2/9/2010 12:11'!
version202: spec
	<version: '2.0.2' imports: #('2.0.2-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: 'pick up latest Pier2 (2.0.2)
- pick up latest packages (2/8/2010 09:23)'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '2/8/2010 09:23'.
		spec 
			project: 'Pier Core' with: '2.0.2';
			project: 'XML Parser' with: '1.0'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-NickAger.135';
			package: 'Pier-Book' with: 'Pier-Book-dkh.136';
			package: 'Pier-Documents' with: 'Pier-Documents-NickAger.19';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-NickAger.53';
			package: 'Pier-Setup' with: 'Pier-Setup-tg.76';
			package: 'Pier-Design' with: 'Pier-Design-lr.8';
			package: 'Pier-Google' with: 'Pier-Google-lr.16';
			package: 'Pier-LightBox' with: 'Pier-LightBox-lr.9';
			package: 'Pier-Links' with: 'Pier-Links-dkh.8';
			package: 'Pier-Randomizer' with: 'Pier-Randomizer-lr.7';
			package: 'Pier-Scriptaculous' with: 'Pier-Scriptaculous-tg.3';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-lr.11';
			package: 'Pier-Titles' with: 'Pier-Titles-lr.2';
			package: 'Pier-Twitter' with: 'Pier-Twitter-lr.16'.].! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 3/1/2010 15:02'!
version203: spec
	<version: '2.0.3' imports: #('2.0.3-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: 'pick up latest Pier2 (2.0.3)
- pick up latest packages (3/1/2010 11:39)
- configuration trimmed to match the contents of http://source.lukas-renggli.ch/pier2addons
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/1/2010 15:02'.
		spec 
			project: 'Pier Core' with: '2.0.3';
			project: 'XML Parser' with: '1.0'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-lr.137';
			package: 'Pier-Book' with: 'Pier-Book-lr.139';
			package: 'AAS.lu-Pier-WidgetAdaptors' with: 'AAS.lu-Pier-WidgetAdaptors-razavi_acm_org.1';
			package: 'Pier-Documents' with: 'Pier-Documents-lr.21';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-lr.57';
			package: 'Pier-Google' with: 'Pier-Google-lr.19';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.6';
			package: 'Pier-Setup' with: 'Pier-Setup-lr.81';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.16';
			package: 'Pier-Twitter' with: 'Pier-Twitter-lr.19'.].! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 3/29/2010 12:42'!
version204: spec
	<version: '2.0.4' imports: #('2.0.3-baseline' )>

	spec for: #common do: [
		spec blessing: #alpha.
		spec description: '- pick up latest mcz files (3/29/2010 11:58)
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '3/29/2010 12:32'.
		spec 
			project: 'Pier Core' with: '2.0.3';
			project: 'XML Parser' with: '1.0'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-lr.137';
			package: 'Pier-Book' with: 'Pier-Book-lr.139';
			package: 'AAS.lu-Pier-WidgetAdaptors' with: 'AAS.lu-Pier-WidgetAdaptors-razavi_acm_org.1';
			package: 'Pier-Documents' with: 'Pier-Documents-lr.21';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-lr.57';
			package: 'Pier-Google' with: 'Pier-Google-lr.19';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.6';
			package: 'Pier-Setup' with: 'Pier-Setup-tg.82';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.16';
			package: 'Pier-Twitter' with: 'Pier-Twitter-lr.19'.].! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 6/1/2010 15:43'!
version205: spec
	<version: '2.0.5' imports: #('2.0.3-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: '- pick up latest mcz files (6/1/2010 15:42)
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '6/1/2010 15:43'.
		spec 
			project: 'Pier Core' with: '2.0.5';
			project: 'XML Parser' with: '1.0'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-lr.138';
			package: 'Pier-Book' with: 'Pier-Book-lr.139';
			package: 'AAS.lu-Pier-WidgetAdaptors' with: 'AAS.lu-Pier-WidgetAdaptors-razavi_acm_org.1';
			package: 'Pier-Documents' with: 'Pier-Documents-lr.21';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-lr.57';
			package: 'Pier-Google' with: 'Pier-Google-lr.19';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.6';
			package: 'Pier-Setup' with: 'Pier-Setup-lr.83';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.17';
			package: 'Pier-Twitter' with: 'Pier-Twitter-DamienPollet.21'.].! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 9/3/2010 11:52'!
version2061: spec
	<version: '2.0.6.1' imports: #('2.0.6-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: '- Pier-Blog
  - fixed senders of #ifNotNil:
- Pier-Setup
  - fixed senders of #ifNotNil:
  - removed legacy code
  - removed more legacy code'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '8/27/2010 14:58'.
		spec 
			project: 'JQuery Widgetbox' with: '1.3';
			project: 'Pier Core' with: '2.0.6.1';
			project: 'RSS' with: '3.0.0-rc.3';
			project: 'XML Parser' with: '1.0.1'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-lr.139';
			package: 'Pier-Design' with: 'Pier-Design-tg.9';
			package: 'Pier-Documents' with: 'Pier-Documents-lr.21';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-lr.57';
			package: 'Pier-Google' with: 'Pier-Google-lr.19';
			package: 'Pier-JQuery' with: 'Pier-JQuery-NickAger.4';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.17';
			package: 'Pier-Twitter' with: 'Pier-Twitter-DaleHenrichs.22'.].
	spec for: #squeakCommon do: [
		spec project: 'OSProcess' with: '4.3.11'.
		spec 
			package: 'AAS.lu-Pier-WidgetAdaptors' with: 'AAS.lu-Pier-WidgetAdaptors-razavi_acm_org.1';
			package: 'Pier-Book' with: 'Pier-Book-lr.139';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.6';
			package: 'Pier-Setup' with: 'Pier-Setup-lr.87'.].
	spec for: #gemstone do: [
		spec 
			package: 'Pier-Book' with: 'Pier-Book.gemstone-DaleHenrichs.140';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker.gemstone-DaleHenrichs.7';
			package: 'Pier-Setup' with: 'Pier-Setup.gemstone-DaleHenrichs.88'.].! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 07/13/2010 16:53'!
version206: spec
	<version: '2.0.6' imports: #('2.0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '- pick up latest mcz files (6/16/2010 11:02)
- port to GLASS 1.0-beta.8
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '07/13/10 16:53:08'.
		spec 
			project: 'JQuery Widgetbox' with: '1.0';
			project: 'Pier Core' with: '2.0.6';
			project: 'RSS' with: '3.0.0-alpha5.15';
			project: 'XML Parser' with: '1.0.1'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-lr.138';
			package: 'Pier-Design' with: 'Pier-Design-tg.9';
			package: 'Pier-Documents' with: 'Pier-Documents-lr.21';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-lr.57';
			package: 'Pier-Google' with: 'Pier-Google-lr.19';
			package: 'Pier-JQuery' with: 'Pier-JQuery-NickAger.4';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.17';
			package: 'Pier-Twitter' with: 'Pier-Twitter-DaleHenrichs.22'.].
	spec for: #'squeakCommon' do: [
		spec project: 'OSProcess' with: '4.3.11'.
		spec 
			package: 'AAS.lu-Pier-WidgetAdaptors' with: 'AAS.lu-Pier-WidgetAdaptors-razavi_acm_org.1';
			package: 'Pier-Book' with: 'Pier-Book-lr.139';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.6';
			package: 'Pier-Setup' with: 'Pier-Setup-Nick.84'.].
	spec for: #'gemstone' do: [
		spec 
			package: 'Pier-Book' with: 'Pier-Book.gemstone-DaleHenrichs.140';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker.gemstone-DaleHenrichs.7';
			package: 'Pier-Setup' with: 'Pier-Setup.gemstone-DaleHenrichs.88'.].! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'dkh 07/25/2011 18:46'!
version2071: spec
	<version: '2.0.7.1' imports: #('2.0.7.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '2.0.7.1 (dkh.41):
- open 2.0.7.1 for development
- porting Magritte 2.0.6 to GemStone 3.0.0
- use #stable symbolic version for RSS (Seaside), so we will stay up-to-date'.
		spec author: 'dkh'.
		spec timestamp: '7/25/2011 18:20'.
		spec 
			project: 'JQuery Widgetbox' with: '2.4';
			project: 'Pier Core' with: '2.0.7.1';
			project: 'RSS' with: #'stable';
			project: 'XML Parser' with: '1.0.1'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-lr.140';
			package: 'Pier-Design' with: 'Pier-Design-tg.9';
			package: 'Pier-Documents' with: 'Pier-Documents-lr.21';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-lr.59';
			package: 'Pier-Google' with: 'Pier-Google-lr.19';
			package: 'Pier-JQuery' with: 'Pier-JQuery-lr.4';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.18';
			package: 'Pier-Twitter' with: 'Pier-Twitter-DaleHenrichs.22'.].
	spec for: #'squeakCommon' do: [
		spec project: 'OSProcess' with: '4.3.11'.
		spec 
			package: 'AAS.lu-Pier-WidgetAdaptors' with: 'AAS.lu-Pier-WidgetAdaptors-razavi_acm_org.1';
			package: 'Pier-Book' with: 'Pier-Book-lr.142';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.7';
			package: 'Pier-Setup' with: 'Pier-Setup-lr.92'.].
	spec for: #'gemstone' do: [
		spec 
			package: 'Pier-Book' with: 'Pier-Book.gemstone-DaleHenrichs.143';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker.gemstone-DaleHenrichs.8';
			package: 'Pier-Setup' with: 'Pier-Setup.gemstone-DaleHenrichs.93'.].! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'DaleHenrichs 11/11/2010 12:57'!
version207: spec
	<version: '2.0.7' imports: #('2.0.7-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '- pick up latest mcz files
'.
		spec author: 'DaleHenrichs'.
		spec timestamp: '11/10/2010 16:50:46'.
		spec 
			project: 'JQuery Widgetbox' with: '1.5';
			project: 'Pier Core' with: '2.0.7';
			project: 'RSS' with: '3.0.1';
			project: 'XML Parser' with: '1.0.1'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-lr.140';
			package: 'Pier-Design' with: 'Pier-Design-tg.9';
			package: 'Pier-Documents' with: 'Pier-Documents-lr.21';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-lr.59';
			package: 'Pier-Google' with: 'Pier-Google-lr.19';
			package: 'Pier-JQuery' with: 'Pier-JQuery-lr.4';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.18';
			package: 'Pier-Twitter' with: 'Pier-Twitter-DaleHenrichs.22'.].
	spec for: #'squeakCommon' do: [
		spec project: 'OSProcess' with: '4.3.11'.
		spec 
			package: 'AAS.lu-Pier-WidgetAdaptors' with: 'AAS.lu-Pier-WidgetAdaptors-razavi_acm_org.1';
			package: 'Pier-Book' with: 'Pier-Book-lr.142';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.7';
			package: 'Pier-Setup' with: 'Pier-Setup-lr.92'.].
	spec for: #'gemstone' do: [
		spec 
			package: 'Pier-Book' with: 'Pier-Book.gemstone-DaleHenrichs.143';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker.gemstone-DaleHenrichs.8';
			package: 'Pier-Setup' with: 'Pier-Setup.gemstone-DaleHenrichs.93'.].! !

!ConfigurationOfPierAddOns2 methodsFor: 'versions' stamp: 'NickAger 9/6/2011 22:02'!
version209: spec
	<version: '2.0.9' imports: #('2.0.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '- pick up latest mcz files
jj'.
		spec author: 'NickAger'.
		spec timestamp: '8/24/2011 15:01'.
		spec 
			project: 'JQuery Widgetbox' with: '1.5';
			project: 'Pier Core' with: '2.0.7';
			project: 'RSS' with: '3.0.1';
			project: 'XML Parser' with: '1.0.1'.
		spec 
			package: 'Pier-Blog' with: 'Pier-Blog-lr.140';
			package: 'Pier-Design' with: 'Pier-Design-tg.9';
			package: 'Pier-Documents' with: 'Pier-Documents-lr.21';
			package: 'Pier-EditorEnh' with: 'Pier-EditorEnh-NickAger.61';
			package: 'Pier-Google' with: 'Pier-Google-lr.19';
			package: 'Pier-JQuery' with: 'Pier-JQuery-lr.4';
			package: 'Pier-TagCloud' with: 'Pier-TagCloud-NickAger.18';
			package: 'Pier-Twitter' with: 'Pier-Twitter-DaleHenrichs.22';
			package: 'Javascript-Jasmine' with: 'Javascript-Jasmine-NickAger.1';
			package: 'Pier-Wysiwyg' with: 'Pier-Wysiwyg-NickAger.63';
			package: 'Pier-Tests-Wysiwyg' with: 'Pier-Tests-Wysiwyg-NickAger.10';
			package: 'Pier-FileUpload-Common-Wysiwyg' with: 'Pier-FileUpload-Common-Wysiwyg-NickAger.6';
			package: 'Pier-FileUpload-Wysiwyg' with: 'Pier-FileUpload-Wysiwyg-NickAger.3';
			package: 'Pier-FileUpload-Nginx-Wysiwyg' with: 'Pier-FileUpload-Nginx-Wysiwyg-NickAger.1'. ].

	spec for: #'squeakCommon' do: [
		spec project: 'OSProcess' with: '4.3.11'.
		spec 
			package: 'AAS.lu-Pier-WidgetAdaptors' with: 'AAS.lu-Pier-WidgetAdaptors-razavi_acm_org.1';
			package: 'Pier-Book' with: 'Pier-Book-lr.142';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker-lr.7';
			package: 'Pier-Setup' with: 'Pier-Setup-lr.92'. ].

	spec for: #'gemstone' do: [
		spec 
			package: 'Pier-Book' with: 'Pier-Book.gemstone-DaleHenrichs.143';
			package: 'Pier-LinkChecker' with: 'Pier-LinkChecker.gemstone-DaleHenrichs.8';
			package: 'Pier-Setup' with: 'Pier-Setup.gemstone-DaleHenrichs.93'. ].
! !
